Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| xmlgraphics-commons 2.0.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xmlgraphics.xmp
Interface PropertyAccess

All Known Implementing Classes:
  Metadata, XMPStructure

    public interface PropertyAccess

This interface is implemented by the top-level Metadata class and stuctured properties.

Method Summary
`XMPProperty` | `getProperty(QName name)` Returns a property.
`XMPProperty` | `getProperty(String uri, String localName)` Returns a property
`int` | `getPropertyCount()` Returns the number of properties.
`XMPProperty` | `getValueProperty()` Returns the rdf:value property.
`Iterator` | `iterator()` Returns an Iterator over all properties in this structured property.
`XMPProperty` | `removeProperty(QName name)` Removes a property and returns it if it was found.
`void` | `setProperty(XMPProperty prop)` Sets a property.

Method Detail

### setProperty

    void setProperty(XMPProperty prop)

  Sets a property.

  Parameters:
    `prop` - the property

### getProperty

    XMPProperty getProperty(String uri,
                            String localName)

  Returns a property

  Parameters:
    `uri` - the namespace URI of the property
    `localName` - the local name of the property
  Returns:
    the requested property or null if it's not available

### getProperty

    XMPProperty getProperty(QName name)

  Returns a property.

  Parameters:
    `name` - the name of the property
  Returns:
    the requested property or null if it's not available

### removeProperty

    XMPProperty removeProperty(QName name)

  Removes a property and returns it if it was found.

  Parameters:
    `name` - the name of the property
  Returns:
    the removed property or null if it was not found

### getValueProperty

    XMPProperty getValueProperty()

  Returns the rdf:value property. This is a shortcut for getProperty(XMPConstants.RDF_VALUE).

  Returns:
    the rdf:value property or null if it's no available

### getPropertyCount

    int getPropertyCount()

  Returns the number of properties.

  Returns:
    the number of properties in this metadata object.

### iterator

    Iterator iterator()

  Returns an Iterator over all properties in this structured property.

  Returns:
    an Iterator over all properties

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| xmlgraphics-commons 2.0.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2015 The Apache Software Foundation. All Rights Reserved.